As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 722269 - Firefox crash @ mozilla::gfx::DrawTargetD2D::DrawSurface
: Firefox crash @ mozilla::gfx::DrawTargetD2D::DrawSurface
Status: RESOLVED FIXED
[qa?]
: crash, reproducible
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: All Windows 7
: -- critical with 1 vote (vote)
: mozilla18
Assigned To: Bas Schouten (:bas.schouten)
: Ioana (away)
: Milan Sreckovic [:milan]
Mentors:
https://wiki.postgresql.org/images/7/...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-30 03:39 PST by brunoais
Modified: 2012-11-06 00:36 PST (History)
7 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
Make DrawTargetD2D::DrawSurface deal with more surfaces (1.92 KB, patch)
2012-09-20 14:17 PDT, Bas Schouten (:bas.schouten)
joe: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description User image brunoais 2012-01-30 03:39:21 PST
Firefox had already been opened for about 24h.
I had, at the moment, about 200 tabs in which 30 were loaded.
I had been in the same tab group for a while (4-5 hours).
I tried to change the tag group so I went to the panorama view to select another tab.
After pressing ctrl+shift+E firefox hanged for about 2 seconds and then crashed.
In order to reproduce you need to:
 * Have, at least, 4 groups with tabs in them.
 * Work in a tab group for a while (1h should be enough)
 * Load and change url of some pages (go to google, search, read articles, view images...)
 * Have firefox open for some hours. Seems like you need more than 16h

.
Comment 1 User image Tim Taubert [:ttaubert] 2012-01-30 07:56:10 PST
Does this crash show up in about:crashes? We need a crash ID to investigate that further and to see if Panorama is even the culprit.
Comment 2 User image brunoais 2012-01-30 11:07:48 PST
This is one:
https://crash-stats.mozilla.com/report/index/bp-b9d0a1cb-b508-4717-be39-7b3392120127
here's another:
https://crash-stats.mozilla.com/report/index/bp-57c7eb1e-037e-41ba-a566-afd012120128

I think this is also one caused by the same reason:
https://crash-stats.mozilla.com/report/index/bp-763857aa-ce04-4de1-ad5a-a83672120124

There are more in about:crashes but when I click them the page shows it does not recognize the id.
Comment 3 User image Scoobidiver (away) 2012-01-30 11:24:37 PST
Does it happen in Safe Mode (see https://support.mozilla.org/en-US/kb/Safe%20Mode)?
Does it happen with a new profile (see https://support.mozilla.org/en-US/kb/Managing-profiles)?

It's a low volume crash with only 42 crashes in 9.0.1 over the last week.

More reports at:
https://crash-stats.mozilla.com/report/list?signature=DrawingContext%3A%3ADrawBitmap%28ID2D1Bitmap*%2C+D2D_RECT_F+const*%2C+float%2C+D2D1_BITMAP_INTERPOLATION_MODE%2C+D2D_RECT_F+const*%29
Comment 4 User image brunoais 2012-01-30 11:46:09 PST
(In reply to Scoobidiver from comment #3)
> Does it happen in Safe Mode (see
> https://support.mozilla.org/en-US/kb/Safe%20Mode)?
Yes
> Does it happen with a new profile (see
> https://support.mozilla.org/en-US/kb/Managing-profiles)?

Didn't test. Need me to test?
Comment 5 User image Scoobidiver (away) 2012-01-30 14:07:01 PST
(In reply to brunoaiss from comment #4)
> Didn't test. Need me to test?
Yes. Please.
Comment 6 User image Dirkjan Ochtman (:djc) 2012-09-20 03:35:43 PDT
I hit this twice with Aurora 17 (2012-09-18). Both times, I was trying to load this URL with pdf.js 0.4.11:

https://wiki.postgresql.org/images/7/73/Range-types-pgopen-2012.pdf
Comment 8 User image Scoobidiver (away) 2012-09-20 03:45:20 PDT
I can reproduce in Nightly: bp-c7a5ec47-7e0f-417e-b3e6-d5af92120920.
Comment 9 User image Bas Schouten (:bas.schouten) 2012-09-20 14:17:30 PDT
Created attachment 663164 [details] [diff] [review]
Make DrawTargetD2D::DrawSurface deal with more surfaces
Comment 10 User image Joe Drew (not getting mail) 2012-09-20 14:18:23 PDT
Comment on attachment 663164 [details] [diff] [review]
Make DrawTargetD2D::DrawSurface deal with more surfaces

Review of attachment 663164 [details] [diff] [review]:
-----------------------------------------------------------------

::: gfx/2d/DrawTargetD2D.cpp
@@ +295,3 @@
>      {
> +      RefPtr<DataSourceSurface> srcSurf =
> +        aSurface->GetDataSurface();

same line
Comment 11 User image Bas Schouten (:bas.schouten) 2012-09-20 14:27:46 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/7ed5b4e7e4fc
Comment 12 User image Ryan VanderMeulen [:RyanVM] 2012-09-20 18:31:44 PDT
https://hg.mozilla.org/mozilla-central/rev/7ed5b4e7e4fc
Comment 13 User image Dirkjan Ochtman (:djc) 2012-09-21 05:14:00 PDT
Can we get this backported to Aurora? Seems low-risk enough.
Comment 14 User image Bas Schouten (:bas.schouten) 2012-09-24 14:23:08 PDT
Comment on attachment 663164 [details] [diff] [review]
Make DrawTargetD2D::DrawSurface deal with more surfaces

Review of attachment 663164 [details] [diff] [review]:
-----------------------------------------------------------------

This is very low risk and probably a good idea to get in Aurora now.
Comment 15 User image Lukas Blakk [:lsblakk] use ?needinfo 2012-09-24 15:58:21 PDT
Comment on attachment 663164 [details] [diff] [review]
Make DrawTargetD2D::DrawSurface deal with more surfaces

Low risk fix for reproducible crash, let's get it on Aurora.
Comment 17 User image Ioana (away) 2012-10-17 06:32:59 PDT
This crash still appears in Socorro, on Firefox 17 beta 1 and the 10/14 Firefox 19 Nightly.

The stack traces are pretty much the same as those in reports listed in this bug:
https://crash-stats.mozilla.com/report/index/9b8c6dba-0c11-4062-a948-86e1a2121016
https://crash-stats.mozilla.com/report/index/7b578df6-1485-478d-99ec-d97112121016
Comment 18 User image Scoobidiver (away) 2012-10-17 07:03:30 PDT
I can't reproduce it with the STR in comment 6 in 17.0b1+PDF Viewer 0.4.11, Aurora and Nightly.
Comment 19 User image Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-10-17 11:25:28 PDT
An overwhelming majority (96%) of the crashes with this signature in the last week are happening on Firefox 16.0.1 or earlier versions. Can we consider this verified based on the fact that crashes are trending way down and the fact that the test in comment 6 no longer reproduces?
Comment 20 User image Ioana (away) 2012-11-05 06:16:18 PST
Bas, Lukas, can one of you look over the crashes in comment 17 and let me know if they are the same crash or not?
Comment 21 User image Bas Schouten (:bas.schouten) 2012-11-05 08:20:17 PST
(In reply to Ioana Budnar [QA] from comment #20)
> Bas, Lukas, can one of you look over the crashes in comment 17 and let me
> know if they are the same crash or not?

It's very hard to say considering in how many ways these codepaths get hit.
Comment 22 User image Ioana (away) 2012-11-06 00:36:42 PST
(In reply to Bas Schouten (:bas.schouten) from comment #21)
> (In reply to Ioana Budnar [QA] from comment #20)
> > Bas, Lukas, can one of you look over the crashes in comment 17 and let me
> > know if they are the same crash or not?
> 
> It's very hard to say considering in how many ways these codepaths get hit.

Would you consider safe marking this bug as verified in that case? Please also see comment 19 for the details there.

Note You need to log in before you can comment on or make changes to this bug.